QGIS Application - Bug report #3973

linking pyspatialite fails due to undefined SPL... functions after b74a51e commit

2011-06-10 04:34 PM - Steven Mizuno

Status: Closed
Priority: Normal
Assignee:

Category: Build/Install

Affected QGIS version:master

Operating System: Windows
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 13970

Description

my build system is Windows 7 / MinGW

Found that link.txt in the pyspatialite build directory does not have libqgis_core.dll.a listed.

This is because python/pyspatialite/CMakeLists.txt references ${EXTRA_LINK_LIBRARIES} which has not been set, and does not list

qgis_core at all.

EXTRA_LINK_LIBRARIES is set (and used) by a macro in SIPMacros.cmake which is called several times after the pyspatialite directory

is processed by CMake.

| believe that line 34 in python/pyspatialite/CMakeLists.txt should be:

TARGET_LINK_LIBRARIES(pyspatialite qgis_core)

and EXTRA_LINK_LIBRARIES not be used.

This works for my system, but I'm not sure how others may be affected.

Oddly, this worked before the change from SUBDIRS to ADD_DIRECTORY, so there is a different order of processing CMake files.

History

#1 - 2011-06-20 10:04 PM - Alister Hood

Thanks. | have the same problem with XP / MSVC, and your solution works for me too.

#2 - 2011-11-12 05:52 AM - Tim Sutton
- Target version changed from Version 1.7.1 to Version 1.7.2

#3 - 2011-11-30 12:40 PM - Giovanni Manghi
- Target version changed from Version 1.7.2 to Version 1.7.3

#4 - 2011-12-16 10:54 AM - Giovanni Manghi
- Target version changed from Version 1.7.3 to Version 1.7.4

#5 - 2012-04-16 06:28 AM - Paolo Cavallini
- Crashes QGIS or corrupts data set to No
- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-09-04 12:01 PM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2013-07-20 07:11 AM - Daniel Vaz

This still occurs?

#8 - 2013-07-20 07:51 AM - Giovanni Manghi
- Pull Request or Patch supplied set to No

- Status changed from Open to Feedback

#9 - 2013-07-20 08:57 AM - Jiirgen Fischer

- Status changed from Feedback to Closed

- Resolution set to fixed

fixed in commit:5e8d129
